Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-38010

Plugins SDK shared uses the plugin's plugin.version instead of it's own.

    Details

    • Story Points:
      6
    • Fix Priority:
      4

      Description

      Steps to reproduce:

      1. Go to a plugin's directory in the plugins SDK (e.g. portlets/sample-jsp-portlet)
      2. Edit the module-incremental-version in the docroot/WEB-INF/liferay-plugin-package.properties file and set it to 2
      3. Run ant deploy.
      4. You will see that the portal-compat-shared.jar's file name in the [SDK dir]/dist is: portal-compat-shared-6.2.0.2.jar
      5. Edit the module-incremental-version in the docroot/WEB-INF/liferay-plugin-package.properties file and set it to 3
      6. You will see that the portal-compat-shared.jar's file name in the [SDK dir]/dist is: portal-compat-shared-6.2.0.3.jar

      The compat shared jar should not use the plugins module-incremental-version field.

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Days since last comment:
                5 years, 22 weeks, 4 days ago

                Packages

                Version Package
                6.2.X EE
                7.0.0 M3